%Soluo factvel X do problema LPV com 
%X(rho) = f1(rho)*X1 + f2(rho)*X2 + f3(rho)*X3.
%

%ab_lpv

clear all

load AB.mat 


npts=size(A,3);
v = [vmax*pi/180];%vmax*pi/180];

nx =size(A,2);

C_1 = eye(nx);
C_2 = zeros(nx/2,nx);

aux= [1 -1];

gama = input('gama:  ');  

%	Entrando com as LMIs
%	--------------------

	setlmis([]);

%	Definindo as variveis:
	X1 = lmivar(1,[nx 1]);		%%
  	X2 = lmivar(1,[nx 1]);		%%
%	X3 = lmivar(1,[nx 1]);		%%
   GAMA2 = lmivar(1,[nx/2 0]);	
      
%	Definindo os termos:

for i=1:npts
   
     

   
   B_1 = B1(:,:,i);
   B_2 = B2(:,:,i);
   
   Ah(:,:,i) = A(:,:,i);
     
   A_h = Ah(:,:,i) - B_2*C_2; 
    
   f1 = f_1(i);
   f2 = f_2(i);
%   f3 = f_3(i);
   
   dfdx = dfdx_v(:,:,i);
   
   
   for l=1:2
   
	BRL=newlmi;
%    lmiterm([BRL 1 1 X1],-(aux(1,l)*v(1)*dfdx(1,1)+ aux(2,l)*v(2)*dfdx(1,2)),1);
%    lmiterm([BRL 1 1 X2],-(aux(1,l)*v(1)*dfdx(2,1)+ aux(2,l)*v(2)*dfdx(2,2)),1);
%    lmiterm([BRL 1 1 X3],-(aux(1,l)*v(1)*dfdx(3,1)+ aux(2,l)*v(2)*dfdx(3,2)),1);
%    

   
   lmiterm([BRL 1 1 X1],-(aux(1,l)*v(1)*dfdx(1,1)),1);
   lmiterm([BRL 1 1 X2],-(aux(1,l)*v(1)*dfdx(2,1)),1);
   
   
   
   lmiterm([BRL 1 1 X1],f1*A_h,1,'s');
   lmiterm([BRL 1 1 X2],f2*A_h,1,'s');
   %lmiterm([BRL 1 1 X3],f3*A_h,1,'s');
	lmiterm([BRL 1 1 0],-B_2*B_2');
   lmiterm([BRL 1 2 X1],f1,C_1');
   lmiterm([BRL 1 2 X2],f2,C_1');
   %lmiterm([BRL 1 2 X3],f3,C_1');
   lmiterm([BRL 1 3 0],B_1);
	lmiterm([BRL 2 2 0],-1);
	lmiterm([BRL 2 3 0],0);
	lmiterm([BRL 3 3 GAMA2],-1,1);
             
   end

	% 2nd LMI
	Xpos=newlmi;
	lmiterm([-Xpos 1 1 X1],f1,1);
	lmiterm([-Xpos 1 1 X2],f2,1);
	%lmiterm([-Xpos 1 1 X3],f3,1);

  
end



LMIs = getlmis;


LMIs=setmvar(LMIs,GAMA2,gama^2);

[tmin,xfeas]=feasp(LMIs,[1e-2 300 1e9 0 0]);

X1f=dec2mat(LMIs,xfeas,X1);
X2f=dec2mat(LMIs,xfeas,X2);
%X3f=dec2mat(LMIs,xfeas,X3);



save feas.mat X1f X2f  gama  %X3f

