%%%  DRIVING MENU FOR ALL DEMOS

% Author: P. Gahinet
% Copyright 1995-2004 The MathWorks, Inc.
%       $Revision: 1.1.8.1 $



figure('units','norm','pos',[0.05 .65 .25 .25],'name','lctdemos');

uicontrol('sty','text','units','norm','pos',[0 .8 1 .2],...
          'horiz','left','foreg','r', ...
          'str','  LMI  CONTROL  TOOLBOX  DEMOS:');
uicontrol('sty','push','units','norm','pos',[0.8 .8 .2 .2],...
          'str','Close','callb','delete(gcf);');
uicontrol('sty','push','units','norm','pos',[0 .6 1 .2],...
          'str','LMI DEMO','backg',[.4 0 .8],'foreg','y', ...
          'callb','lmidem','inter','on');
uicontrol('sty','push','units','norm','pos',[0 .4 1 .2],...
          'str','SATELLITE','backg',[.4 0 .8],'foreg','y', ...
          'callb','sateldem','inter','on');
uicontrol('sty','push','units','norm','pos',[0 .2 1 .2],...
          'str','RADAR','backg',[.4 0 .8],'foreg','y', ...
          'callb','radardem','inter','on');
uicontrol('sty','push','units','norm','pos',[0 0 1 .2],...
          'str','MISSILE','backg',[.4 0 .8],'foreg','y', ...
          'callb','misldem','inter','on');

set(gcf,'HandleVisibility','callback');
