%ISEQUAL True if uncertain objects are equal
%

%function [out,out2,out3] = isequal(p,s)

% out = 0;
% if isequal(class(p),class(s)) & isequal(p.Name,s.Name) & ...
%  isequal(p.NominalValue,s.NominalValue) & ...
%  isequal(p.AutoSimplify,s.AutoSimplify)
%    out = localatomequal(p,s);
% end
% if nargout>=2
%    out2 = 0;
%    if isequal(class(p),class(s)) & isequal(p.NominalValue,s.NominalValue)
%       out2 = localatomequal(p,s);
%    end
% end
% out3 = 0;
% if nargout==3
%    if isequal(class(p),class(s)) & isequal(p.Name,s.Name) & ...
%     isequal(size(p.NominalValue),size(s.NominalValue))
%       out3 = 1;
%    end
% end

function [idequal,nameeq,classeq,sizeeq,dataeq,nomeq] = isequal(p,s)
% Copyright 2003-2006 The MathWorks, Inc.

if isa(p,'atom') && isa(s,'atom')
   nameeq = isequal(p.Name,s.Name);
   classeq = isequal(class(p),class(s));
   sizeeq = isequal(size(p.NominalValue),size(s.NominalValue));
   nomeq = isequal(p.NominalValue,s.NominalValue);
   asimpeq = isequal(p.AutoSimplify,s.AutoSimplify);
   if isequal(class(p),'atom')
      idequal = classeq && sizeeq && asimpeq;
      if classeq
          dataeq = true;
      else
          dataeq = false;
      end
      %dataeq = NaN;
   else
      if classeq && sizeeq
         dataeq = localatomequal(p,s);
         idequal = nameeq && dataeq && nomeq;
      else 
         idequal = false;
         dataeq = false;
         %dataeq = NaN;
      end
   end
else
   idequal = false;
   nameeq = false;
   classeq = false;
   sizeeq = false;
   dataeq = false;
   nomeq = false;
end
   
