function avalue = normalized2actual(atom,nvalue)
%NORMALIZED2ACTUAL Converts the value for an atom in normalized
%  coordinates to the corresponding actual value.
%
%  AVALUE = NORMALIZED2ACTUAL(ATOM,NVALUE) converts the value for ATOM
%  in normalized coordinates, NVALUE, to the corresponding actual value.
%  If NVALUE is an N-d array of values, then AVALUE will be an array of 
%  the same dimension.
%
%  See also: actual2normalized

% Copyright 2004 The MathWorks, Inc.

% or...avalue2nvalue?


error(['normalized2actual not implemented for atoms of type ' ...
    class(atom)]);

