%ALLREALLTI Check is all uncertain atoms are UREAL and/or ULTIDYN.

function go = allreallti(m)
% Copyright 2003-2005 The MathWorks, Inc.
%  B = ALLREALLTI(A)
%  If all atoms in A (atomlist) are UREAL and/or ULTIDYN, then B==true
%  otherwise B==false
out = 1;
go = true;
cnt = 1;
nblk = length(m.AtomCell);
while out==1 & cnt<=nblk
   if ~isa(m.AtomCell{cnt},'ureal') && ~isa(m.AtomCell{cnt},'ultidyn')
      out = 0;
      go = false;
   end
   cnt = cnt + 1;
end         
