%ATOMLIST   Constructor for the ATOMLIST parent object.

% Copyright 2003-2006 The MathWorks, Inc.
function A = atomlist(arg1,arg2)

% STATUS UNFINISHED
if nargin==0
    A.AtomCell = cell(0,1);
    A.Info = zeros(0,1);
    Cache.UNames = cell(0,1);
    Cache.UNamesCS = zeros(0,1);
    Cache.nblk = 0;
    Cache.Sizes = zeros(0,2);
    Cache.Classes = cell(0,1);
    A.Cache = Cache;
else
    A.AtomCell = arg1;
    A.Info = arg2;
    nblk = length(arg1);
    UNames = cell(nblk,1);
    UNamesCS = zeros(nblk,1);
    Sizes = zeros(nblk,2);
    Classes = cell(nblk,1);
    for i=1:nblk
       UNames{i} = pvget(arg1{i,1},'Name');
       UNamesCS(i) = sum(double(UNames{i}));
       Sizes(i,:) = size(arg1{i,1});
       Classes{i} = class(arg1{i,1});
    end
    Cache.UNames = UNames;
    Cache.UNamesCS = UNamesCS;
    Cache.nblk = nblk;
    Cache.Sizes = Sizes;
    Cache.Classes = Classes;
    A.Cache = Cache;    
end
A = class(A,'atomlist',gsref(0));