%ISREAL Check if all uncertain atoms are UREAL

function go = isreal(m)
% Copyright 2003-2004 The MathWorks, Inc.
%  B = isreal(A)
%  If all atoms in A (atomlist) are UREAL, then B==true otherwise B==false
out = 1;
go = true;
cnt = 1;
nblk = length(m.AtomCell);
while out==1 & cnt<=nblk
   if ~isa(m.AtomCell{cnt},'ureal')
      out = 0;
      go = false;
   end
   cnt = cnt + 1;
end         
