function B = loadobj(A)
% New versions of atomlist objects have a Cache field.
% Objects loaded from memory may not have this new field
% so we need to add it on.
%
%

% Pull apart data structure down to atomlist
As = struct(A);

% Build correct atomlist (constructor will add Cache)
B = atomlist(As.AtomCell,As.Info);

