%SUBSREF  Subscripted reference for GSREF objects.

 function m = subsref(m,L)
% Copyright 2003-2004 The MathWorks, Inc.

switch L(1).type
case '.'
  m = get(m,L(1).subs);
case '()'
  flag = m.UseBuiltin;
  if flag==1
    m = builtin('subsref',m,L(1));
  else
     try
       m = parenget(m,L(1).subs);
     catch
        rethrow(lasterror);
     end
  end
case '{}'
  error(['{}- like reference is not supported for ' upper(class(m)) ' objects.']);
end
if length(L)>1
  m = subsref(m,L(2:end));
end
