function out = anyatomslti(m)
% Returns 1 if any uncertain atoms are linear, time-invariant.

% Copyright 2003-2005 The MathWorks, Inc.

atomcell = pvget(m.DepData,'AtomCell');
linfield = zeros(length(atomcell),1);
for i=1:length(atomcell)
   tr = pvget(atomcell{i},'Traits');
   linfield(i) = tr.linear;
   %error(['Block named "' pvget(blkcell{i},'Name') '" is not linear, FREQRESP illegal'])
end
out = any(linfield);
