function m = ctranspose(m)

% Copyright 2003-2004 The MathWorks, Inc.

%XXXMINOR all instances of CTRANSPOSE has documented issues.  This
% is consistent with current conclusion.
%XXXMINOR - depends on @atomlist/ALLREAL
%XXXMINOR error message mentions "ATOMS"
szmd = size(m.MatrixData);
[areal,ascalar] = allrealorscalar(m.DepData);
if areal==1 %they all are ureal
   ind = [2 1 3:length(szmd)];
   m.MatrixData = conj(permute(m.MatrixData, ind));
else
   msg = 'Complex-conjugate-transpose only allowed if ATOMS are all real.';
   error(msg);
end
