function out = diag(m)

% Copyright 2003-2004 The MathWorks, Inc.

% STATUS CMATRIXOP
szm = size(m);
if szm(1)==1    % single row
   out = [];
   for i=1:szm(2)
      S(1).type='()';
      S(1).subs={1,i};
      out = blkdiag(out,subsref(m,S));
   end
elseif szm(2)==1    % single column
   out = [];
   for i=1:szm(1)
      S(1).type='()';
      S(1).subs={i,1};
      out = blkdiag(out,subsref(m,S));
   end
else
   dim= min(szm(1:2));
   out = [];
   for i=1:dim
      S(1).type='()';
      S(1).subs={i,i};
      out = vertcat(out,subsref(m,S));
   end
end
