function out = diff(mat)

% Copyright 2003-2004 The MathWorks, Inc.

% STATUS MATRIXOP
szm = size(mat);

if szm(1)==1
   dim = szm(2) - 1;
   rfac = [[-eye(dim);zeros(1,dim)]+[zeros(1,dim);eye(dim)]];
   out = mat*rfac;
else
   dim = szm(1) - 1;
   lfac = [[-eye(dim) zeros(dim,1)]+[zeros(dim,1) eye(dim)]];
   out = lfac*mat;
end