function [idx,copies,row,col] = gblkinfo(mat,blkid)
%function [idx,copies,row,col] = gblkinfo(mat,blkid)

% Copyright 2003-2004 The MathWorks, Inc.

% STATUS UNCLEAR
[rp,cp,nblk,iosize,blkiosize,szmd] = ndlftinfo(mat);
if isstr(blkid) & size(blkid,1)==1                
   blknames = pvget(mat.DepData,'UNames');
   idx = strmatch(blkid,blknames,'exact');
elseif isa(blkid,'double') & floor(blkid)==ceil(blkid) & ...
 isequal(size(blkid),[1 1]) & blkid>0 & blkid<=nblk
   idx = blkid;
else
   error('BLKID should be CHAR or DOUBLE')
end
if length(idx)==1
   copies = mat.Copies(idx);
   row = rp(idx):rp(idx+1)-1;
   col = cp(idx):cp(idx+1)-1;
elseif length(idx)==0
   copies = -inf;
   row = [];
   col = [];
end
