function [out,p] = isndlftatom(mat)

% Copyright 2003-2004 The MathWorks, Inc.

% STATUS UNFINISHED, probably OK, except for a few cases
out = 0;
rep = 0;
p = [];
            
tol = 100*eps;
AtomCell = pvget(mat.DepData,'AtomCell');
[rp,cp,nblk,iosize,blkiosize,szmd] = ndlftinfo(mat);
% XXX: check for copies==1 blkdiag(A,A) was coming back as A
if length(mat.Copies)==1 & length(szmd)==2 & mat.Copies==1
   rc = size(AtomCell{1,1});
   if rc(2)==iosize(2) & rc(1)==iosize(1)
      r1 = 1:rc(2);
      r2 = (rc(2)+1):(rc(2)+iosize(1));
      c1 = 1:rc(1);
      c2 = (rc(1)+1):(rc(1)+iosize(2));
      t11 = mat.MatrixData(1,1);
      t21 = mat.MatrixData(rc(2)+1,1);
      t12 = mat.MatrixData(1,rc(1)+1);
      t22 = mat.MatrixData(rc(2)+1,rc(1)+1);
      z11 = 0;
      ne11 = 0;
      if norm(mat.MatrixData(r1,c1),'fro')<tol
         z11 = 1;
      end
      if length(r1)==length(c1) & norm(mat.MatrixData(r1,c1)+eye(length(c1)),'fro')<tol
         ne11 = 1;
      end
      z22 = 0;
      if norm(mat.MatrixData(r2,c2),'fro')<tol
         z22 = 1;
      end
      soffdiag = 0;
      if norm(mat.MatrixData(r2,c1)-t21*eye(iosize(1)),'fro')<tol & ...
       norm(mat.MatrixData(r1,c2)-t12*eye(iosize(2)),'fro')<tol
         soffdiag = 1;
      end
      sdiag11 = 0;
      if rc(1)==rc(2) & norm(mat.MatrixData(r1,c1)-t11*eye(rc(2)),'fro')<tol
         sdiag11 = 1;
      end
      sdiag22 = 0;
      if iosize(1)==iosize(2) & norm(mat.MatrixData(r2,c2)-t22*eye(iosize(1)),'fro')<tol
         sdiag22 = 1;
      end                
      if isa(AtomCell{1,1},'ureal')
         if mat.Literal(1)==1
            if soffdiag==1 & z11==1 & z22==1 & abs(t21*t12-1)<tol
               out = 1;
               p = AtomCell{1,1};
            end
         else
            p = AtomCell{1,1};
            switch pvget(p,'Mode')
            case {'Range' 'Percentage' 'PlusMinus'}
               range = pvget(p,'Range');
               pnom = pvget(pvget(p,'atom'),'NominalValue');
%                if abs(t22-t21*t12/(1+t11)-range(1))<100*eps & ...
%                 abs(t22+t21*t12/(1-t11)-range(2))<100*eps & ...
%                 abs(t22-pnom)<100*eps
               if abs(t21*t12-(1+t11)*(t22-range(1)))<100*eps & ...
                abs(t21*t12-(1-t11)*(range(2)-t22))<100*eps & ...
                abs(t22-pnom)<100*eps
                  out = 1;
               end
            end
         end
      elseif isa(AtomCell{1,1},'ucomplex')                    
         if mat.Literal(1)==1
            if soffdiag==1 & z11==1 & z22==1 & abs(t21*t12-1)<tol
               out = 1;
               p = AtomCell{1,1};
            end
         else
            % XXX relies on the fact the literal can easily be changed to 1 in a COMPLXP
            [out,p] = isndlftatom(setlitr(mat,{[1]},1));
         end
      elseif isa(AtomCell{1,1},'udelay')                    
         if mat.Literal(1)==1
            if soffdiag==1 & z11==1 & z22==1 & abs(t21*t12-1)<tol
               out = 1;
               p = AtomCell{1,1};
            end
         else
            % XXX relies on the fact the literal can easily be changed to 1
            % in a UDELAY
            [out,p] = isndlftatom(setlitr(mat,{[1]},1));
         end
      elseif isa(AtomCell{1,1},'ultidyn')
         if isequal(pvget(AtomCell{1},'Type'),'GainBounded')
            target = 1;
            if mat.Literal(1)==0
               target = pvget(AtomCell{1},'Bound');
            end
            if soffdiag==1 & z11==1 & z22==1 & abs(t21*t12-target)<tol
               out = 1;
               p = AtomCell{1,1};
            end
         else
            if mat.Literal(1)==1
               target = 1;
               if soffdiag==1 & z11==1 & z22==1 & abs(t21*t12-target)<tol
                 out = 1;
                 p = AtomCell{1,1};
               end
            else
               tar22 = pvget(AtomCell{1},'Bound') + 1;
               target = -2;
               if length(r2)==length(c2) & norm(mat.MatrixData(r2,c2)-tar22*eye(length(c2)),'fro')<tol & ...
                  abs(t21*t12-target)<tol & ne11 & soffdiag==1   
                  out = 1;
                  p = AtomCell{1,1};
               end
            end
         end
      elseif isa(AtomCell{1,1},'ucomplexm') % PJS Added 5/25/04 
         if mat.Literal(1)==1
            if soffdiag==1 & z11==1 & z22==1 & abs(t21*t12-1)<tol
               out = 1;
               p = AtomCell{1,1};
            end
         else
            % XXX MINOR: Do this without calling setlitr
            [out,p] = isndlftatom(setlitr(mat,{[1]},1));
         end
      elseif z11==1 & z22==1 & soffdiag==1
         if isa(AtomCell{1,1},'udyn') & abs(t21-1)<tol & abs(t12-1)<tol                    
            out = 1;
            p = AtomCell{1,1};
         end
      end
   else
      out = 0;
   end
end
if out==1
   out = true;
else
   out = false;
end
