function out = mldivide(a,b)

% Copyright 2003-2004 The MathWorks, Inc.

% STATUS BINOP
if isa(a,'ndlft') & isa(b,'ndlft')
   sza = size(a);
   szb = size(b);
   if ~isexdok(sza(3:end),szb(3:end))
      error('Invalid extra dimensions')
   end
   if sza(1)==szb(1)
      out = binop(a,b,'mldivide');
   elseif sza(1)==1 & sza(2)==1
      out = binop(diag(a*ones(1,szb(1))),b,'mldivide');
   else
      error('Invalid I/O Dimensions');
   end
   out = simplify(out,'nodepromote','noremove');
else
   out = mldivide(ndlft(a),ndlft(b));
end

