function B = reshape(A,newshape)

% Copyright 2003-2004 The MathWorks, Inc.

%XXXMINOR all RESHAPEs have documented issues.  This is
%consistent with current conclusion.
if length(newshape)<2
   error('cannot be reshaped into a vector');
end

sza = size(A);
if newshape(1)==sza(1) & newshape(2)==sza(2) & prod(sza)==prod(newshape)
   B = A;
   szam = size(A.MatrixData);
   B.MatrixData = reshape(A.MatrixData,[szam(1:2) newshape(3:end)]);
else
   error('Cannot RESHAPE along Row/Column dimensions in a NDLFT.');
end