function b = squeeze(a,flag3)
% Removes singleton Extra Dimensions
% Always returns an NDLFT.

% Copyright 2003-2004 The MathWorks, Inc.

% STATUS MATRIXOP
% no reduction (in blocks) is attempted at all
% A nontrivial depromotion might occur, but it isn't called
if nargin==1
   flag3 = [];
end
if isempty(flag3)
   startat = 3;
else
   startat = 4;
end
b = a;
[rp,cp,nblk,iosize,blkiosize,szmd] = ndlftinfo(a);
sd = startat-1 +  find(szmd(startat:end)==1);
szmd(sd) = [];
b.MatrixData = reshape(a.MatrixData,szmd);
