%OPTUNIT Creates an options object

function out = optunit(name,value,default,string,publicflag,a6)
% Copyright 2003-2004 The MathWorks, Inc.

superiorto('double','char');
validate = 1;
nin = nargin;
if nargin==6
   validate = a6;
   nin = nargin - 1;
end
mkatend = 1;

if mkatend
   out.Name = name;
   out.Value = value;
   out.Default = default;
   out.String = string;
   out.PublicFlag = publicflag;
   out = class(out,'optunit',gsref(0));
end
% Check validity of OUT.  Without any output arguments it will
% error out with appropriate error message if not valid.
%if isequal(validate,1)
if validate==1
   isvalid(out);
end