%MKDSTR Nice display of UCOMPLEXM objects.
%
%OUT = MKDSTR(MAT) returns a nice display of the UCOMPLEXM object MAT.
%
%See also: DISPLAY

% Copyright 2003-2004 The MathWorks, Inc.
function [dispStr,dispStr2] = mkdstr(arg1)

LeadStr = 'Uncertain Complex Matrix: ';
sp = '';

sza = size(arg1.atom);
if isequal(sza,[0 0])
   dispStr = 'Empty ComplexMatrix';
   dispStr2 = dispStr;
else
   dispStr = [LeadStr 'Name '  pvget(arg1.atom,'Name') ...
      ', ' int2str(sza(1)) 'x' int2str(sza(2))];
   dispStr2 = [int2str(sza(1)) 'x' int2str(sza(2)) ' complex matrix'];
end
