%END  Overloaded END for UFRD objects.
%  
%END(SYS,POSITION,NUMINDICES) returns the index
%corresponding to the last entry along the dimension
%POSITION in the UFRD model or UFRD array SYS.
%NUMINDICES is the number of indices used in the
%indexing expression.
%
%See also: SUBSREF, SUBSASGN

function arg = end(mat,slot,nslots)
% Copyright 2003-2004 The MathWorks, Inc.

szm = size(mat);
if slot < nslots
   arg = szm(slot);
else
   arg = prod(szm(slot:end));
end
