%PARENGET Low level get command for UFRD objects.

% Copyright 2003-2004 The MathWorks, Inc.
function m = parenget(m,L)

% Convert Logicals to Doubles
for i=1:length(L)
   if isa(L{i},'logical');
      L{i} = find(L{i});
   end
end
szm = size(m);
L = utRefCheck(m.dynamicsys,L,szm);

%XXXDS
tmps.type = '()';
tmps.subs = L(1:2);
outds = subsref(m.dynamicsys,tmps);

exL.subs = [L(1:2) {':'} L(3:end)];
exL.type = '()';
UmatData = subsref(m.ResponseData,exL);

szu = size(UmatData);
if length(szu)==2 || szu(3)==1
   UmatData = repmat(UmatData,[1 1 length(m.Frequency) ones(1,length(szu)-3)]);
end
   
m = ufrd(UmatData,m.Frequency,'UNITS',m.Units,m.Ts,outds);
