%ARRAYSIZE Extra dimensions of the uncertain matrix.
%
%SZ = ARRAYSIZE(M) determines array dimensions 3:END of M.
%
%See also: SIZE
function varargout = arraysize(m,arg2)
% Copyright 2003-2004 The MathWorks, Inc.

out = size(m);
if length(out)==2
   out = [1 1];
elseif length(out)==3
   out = [out(3) 1];
else
   out = out(3:end);
end
if nargin==1
   arg2 = nan;
end
varargout = csize(out,arg2,nargin,nargout);