%DEPROMOTE Demote the class of an uncertain if possible.
%
%[B,CLASSA,DFLAG] = DEPROMOTE(A). A is an uncertain matrix. DEPROMOTE
%returns B which minimum class to which A belongs, CLASSA which is the
%string 'umat' and DFLAG which is 1 if depromotion was possible.
%
%See also: SIMPLIFY

function [b,classa,dflag] = depromote(a)
% UMAT depromote

% Copyright 2003-2004 The MathWorks, Inc.

%XXXOK - this is used by SUBS, SIMPLIFY, DISPLAY
% but will be undocumented.
% need to understand PRIVATE directories.


% if NDLFT/DEPROMOTE returns
%   DOUBLE, then this returns DOUBLE
%   ATOM, then this returns ATOM 

classa = 'umat';
b = a;
[tb,tclassa,dflag] = depromote(a.NDlftData);
if dflag==1
   b = tb;
end