%DISPLAY   Pretty-print for UMAT objects.
% 
%    DISPLAY(MAT) is invoked by typing MAT followed
%    by a carriage return.  DISPLAY produces a custom
%    display of uncertain matricies (UMATs).
% 
%See also UMAT

% Copyright 2004 The MathWorks, Inc.

function display(m)

% XXXDISPLAY we need to decide how to handle the depromoted cases.
%[dm,classm,dflag] = depromote(m);
%if dflag==0
if 1
    disp(['UMAT: ' mkheader(m.NDlftData)]);
    disp(mkdstr(m))
else
    eval([inputname(1) '= dm;']);
    disp(['(for display, depromoted from UMAT to ' upper(class(dm)) ')']);
    eval(['display(' inputname(1) ');']);
end