%FIELDNAMES Get UMAT object property names.
%  
%NAMES=FIELDNAMES(MAT) returns a cell array of strings containing 
%the names of the properties associated with uncertain matrix object, MAT.
%
%See also GET, SET, UMAT

function n = fieldnames(a)

% Copyright 2003-2004 The MathWorks, Inc.

% XXXDS XXXMINOR should we allow completion on SPropNames?
% also, what about case-insensitive completion?  In general,
% i think this needs to be determined on a case-by-case basis,
% by looking at what is Gettable versus what is settable for
% an object.  In the UMAT case, its probably pretty simple...
tmp = pvget(a,'PropNames');
n = tmp.GPropNames;