%GBLKIDX Get block index of an UMAT object.
%
%IDX = GBLKIDX(MAT,BLKID) returns the index of the uncertain atom BLKID
%inside of MAT. BLKID is a string containing the name of the uncertain
%atom of interest.
%
%See also: FIELDNAMES, FINDATOMSOFTYPE, GBLKINFO, UMAT

function idx = gblkidx(mat,blkid)

% Copyright 2003-2004 The MathWorks, Inc.
%XXXOK, XXXCOMMENT
idx = gblkidx(mat.NDlftData,blkid);