%ISEMPTY  True for empty UMAT objects.
%  
%ISEMPTY(MAT) returns 1 (true) if the uncertain matrix MAT has 
%no rows or no columns, and 0 otherwise.
%  
%For UMAT arrays, ISEMPTY(MAT) is true if the array has
%empty dimensions.
%  
%See also SIZE, UMAT.

function out = isempty(m)
%

% Copyright 2003-2004 The MathWorks, Inc.
% XXXMINOR XXXOK do we need this?
% Yes, for instance, in uss([],[],[],d), it gets used.  look at
% uss/LOCALfunctionSS
out = isempty(m.NDlftData);