%LENGTH Length of an UMAT object.
%
%N = LENGTH(A) returns the size of the longest dimension of A. If A 
%is an uncertain vector, this is the same as its length. 
%
%See also: NDIMS, SIZE

function B = length(A)

% Copyright 2003-2004 The MathWorks, Inc.

%XXXOK, XXXCOMMENT, follows TMW convention
sza = size(A);
B = 0;
if min(sza)>0
   B = max(sza);
end