%PARENGET Low level get command for UMAT objects.

% Copyright 2004 The MathWorks, Inc.

function m = parenget(m,L)

% Convert Logicals to Doubles
for i=1:length(L)
   if isa(L{i},'logical');
      L{i} = find(L{i});
   end
end

%XXXOK, XXXMINOR should there be try/catch?
try
   m.NDlftData = ndlft(parenget(m.NDlftData,L));
catch
   rethrow(lasterror);
end