%PVSET  Set properties of UMAT objects.
%  
%MAT = PVSET(MAT,'Property1',Value1,'Property2',Value2,...)
%sets the values of the properties with exact names 'Property1',
%'Property2',...
%  
%See also SET.
function [m,pflag,errstring] = pvset(m,property,value)

% Copyright 2003-2004 The MathWorks, Inc.

%XXXOK, XXXMINOR error throwing at bottom????
pflag = 1;
errstring = '';
switch property
case 'NDlftData'
   m.NDlftData = value;
case {'DepData' , 'Uncertainty'}
   [m.NDlftData,pflag,errstring] = pvset(m.NDlftData,'DepData',value);;
otherwise
   pflag = 0;
   errstring = ['Invalid UMAT property: ' property];
end
if nargout<=1 && pflag==0
   error(errstring);
end
