function out = transpose(mat)
%TRANSPOSE  Transpose operation for UMATs.
%
%   OUT = TRANSPOSE(MAT) is invoked by OUT = MAT.'
%
%See also: CTRANSPOSE, FLIPLR, FLIPUD.
% Copyright 2003-2004 The MathWorks, Inc.

% XXXOK, XXXHELP 
% valid for ureal, ucomplex, scalar( ucomplexm, ultidyn )


szm = size(mat);
idx = [2 1 3:length(szm)];

try
   out = permute(mat,idx);
catch fred
   throw(fred);
end
