%ISCENTERED Check if nominal vlaue is centered in the range

% Copyright 2003-2004 The MathWorks, Inc.
function centered = iscentered(A)

% arbitrary tolerance on what is centered?
nom = pvget(A.atom,'NominalValue');
range = pvget(A,'Range');
centered = abs(sum(range)-2*nom)<(1e-8)*(range(2)-nom);
