%ISVALID  True if input is a UREAL object
%  
%[PFLG,A] = ISVALID(R) returns PFLG==1 (true) if the uncertain object 
%R is an UREAL atom, and 0 otherwise. A is the input argument R.

% Copyright 2003-2004 The MathWorks, Inc.
function [pflag,A] = isvalid(A)

pflag = true;
if A.Data(3)==3 && pvget(A.atom,'NominalValue')==0
   % cannot be in PERCENTAGE mode with NOMINAL=0
   pflag = false;
end