function out = ctranspose(sys)
%CTRANSPOSE  Complex conjugate transpose operation for USS.
%
%   OUT = CTRANSPOSE(SYS) is invoked by OUT = SYS'
%

% Copyright 2003-2004 The MathWorks, Inc.

try
   out = uss(sys.UmatData',length(pvget(sys,'StateName')),sys.Ts,sys.dynamicsys');
catch einfo
   throw(einfo);
end