%DELBLK Delete an uncertainty from an uncertain system.
%
%OUT = DELBLK(SYS,BLKID) where SYS is an uncertain frequency response and 
%BLKID is the name or numerical index of the uncertain object that is 
%present in SYS. The output OUT is the uncertainfrequency response SYS 
%with the BLKID removed.
%
%See also: BLK2IOCH, NORMALIZE

% Copyright 2003-2004 The MathWorks, Inc.
function [out] = delblk(mat,blkid)

%XXXMINOR, XXXDS, ??  seems ok.
out = mat;
out.UmatData = delblk(mat.UmatData,blkid);
