%END  Overloaded END for USS objects.
%  
%END(SYS,POSITION,NUMINDICES) returns the index
%corresponding to the last entry along the dimension
%POSITION in the USS model or USS array SYS.
%NUMINDICES is the number of indices used in the
%indexing expression.
%
%See also: SUBSREF, SUBSASGN

% Copyright 2003-2004 The MathWorks, Inc.
function arg = end(mat,slot,nslots)

szm = size(mat);
if slot < nslots
   arg = szm(slot);
else
   arg = prod(szm(slot:end));
end
