% Simulation environment of a 2-link planar manipulator
% Copyright 2011 Adriano Siqueira
% File sim_graph.m
% Plot the graphs

% Constantes para formatar o grafico
   q_porc=0.1; % Porcentagem para os graficos de q,qd e qdd;
   t_porc=0.1; % Porcentagem para o grafico de tau;
   N_axis=3;   % # de axis na simulacao e no real;
%********************************************************

eval(['set(0,''Current'',graphic_',cont,')']);

%********** Plotando q ****************         
       % Variaveis auxiliares 
           if eval(['any(any(diff(q_S_',cont,'))) == 0']),
                       gax_min=-5;
         gax_max=5;
          else
         gax_min =eval(['(min(min(q_S_',cont,')))*180/pi']);
         gax_max =eval(['(max(max(q_S_',cont,')))*180/pi']);
           end
           
         gax_axis=['axis1_',cont];
         
         if gax_min > 0
            gax_min = gax_min*(1-q_porc);
         else
            gax_min = gax_min*(1+q_porc);
         end
         
         if gax_max > 0
            gax_max = gax_max*(1+q_porc);
         else
            gax_max = gax_max*(1-q_porc);
         end
         % ******************** 
         
         eval(['set(graphic_',cont,',''CurrentAxes'',',gax_axis,')']); cla;
		   eval(['line(time_S_',cont,',q_S_',cont,'*180/pi);']);
            eval(['line_d = line(time_S_',cont,',q_dS_',cont,'*180/pi);']);
         eval(['set(',gax_axis,',''XLim'',[min(time_S_',cont,') max(time_S_',cont,')]);']);
	 		eval(['set(',gax_axis,',''YLim'',[gax_min  gax_max]);']);
    set(line_d,'LineStyle',:)
           set(line_d,'Color','k')
          
%********** Plotando qd ****************         
         % Variaveis auxiliares 
             if eval(['any(any(qd_S_',cont,')) == 0']),
          
                       gax_min=-5;
         gax_max=5;
          else
         gax_min=eval(['(min(min(qd_S_',cont,')))*180/pi']);
         gax_max=eval(['(max(max(qd_S_',cont,')))*180/pi']);
         
             end
             
         gax_axis=['axis2_',cont];
         
         if gax_min > 0
            gax_min = gax_min*(1-q_porc);
         else
            gax_min = gax_min*(1+q_porc);
         end
         
         if gax_max > 0
            gax_max = gax_max*(1+q_porc);
         else
            gax_max = gax_max*(1-q_porc);
         end
         % ******************** 
         eval(['set(graphic_',cont,',''CurrentAxes'',',gax_axis,')']); cla;
         eval(['line(time_S_',cont,',qd_S_',cont,'*180/pi);']);
         eval(['line_d = line(time_S_',cont,',qd_dS_',cont,'*180/pi);']);
         eval(['set(',gax_axis,',''XLim'',[min(time_S_',cont,') max(time_S_',cont,')]);']);
	 		eval(['set(',gax_axis,',''YLim'',[gax_min  gax_max]);']);
          set(line_d,'LineStyle',:)
           set(line_d,'Color','k')
          
%********** Plotando tau ****************         
         % Variaveis auxiliares 
          if eval(['any(any(tau_S_',cont,')) == 0']),
          
                       gax_min=-1;
         gax_max=1;
          else
                       gax_min=eval(['min(min(tau_S_',cont,'))']);
         gax_max=eval(['max(max(tau_S_',cont,'))']);
              
          end
          
         

         gax_axis=['axis3_',cont];
         
         
         if gax_min > 0
            gax_min = gax_min*(1-q_porc);
         else
            gax_min = gax_min*(1+q_porc);
         end
         
         if gax_max > 0
            gax_max = gax_max*(1+q_porc);
         else
            gax_max = gax_max*(1-q_porc);
         end
         % ******************** 
         eval(['set(graphic_',cont,',''CurrentAxes'',',gax_axis,')']); cla;
         eval(['line(time_S_',cont,',tau_S_',cont,');']);
        % eval(['plot(time_S_',cont,',tau_S_',cont,',''.'');']);grid;
         eval(['set(',gax_axis,',''XLim'',[min(time_S_',cont,') max(time_S_',cont,')]);']);
	 		eval(['set(',gax_axis,',''YLim'',[gax_min  gax_max]);']);
 
%**************************************************************************
 
 
     zoom on;    
     drawnow;


