% Simulation environment of a 2-link planar manipulator
% Copyright 2011 Adriano Siqueira
% File sim_graph_adp.m
% Plot the adaptive graphs

figure

plot(time,Theta)
ylabel('Adapted Parameter, \theta')
xlabel('Time, t (s)')
 
grid
axis([time(1) time(end) min(min(Theta))-0.3  max(max(Theta))+.3])
     zoom on;    
     drawnow;


