% Simulation environment of a 2-link planar manipulator
% Copyright 2011 Adriano Siqueira
% File vtraj.m
% Compute the desired trajectory

function [q_d,qd_d,qdd_d] = vtraj(time,a)

q_d = a(1) + a(2)*time + a(3)*time^2 + a(4)*time^3 + a(5)*time^4 + a(6)*time^5;
qd_d = a(2) + 2*a(3)*time + 3*a(4)*time^2 + 4*a(5)*time^3 + 5*a(6)*time^4; 
qdd_d = 2*a(3) + 6*a(4)*time + 12*a(5)*time^2 + 20*a(6)*time^3;

return;
