% Robust Control Toolbox 2.0.7
% for use with MATLAB 6.0 and Control System Toolbox 5.0
% or later.
%
% Installation: Delete current toolbox/robust directory and
%               replace with these updated files.
%
% New features:
%     Robust Control Toolbox functions now recognize
%     the following system representations: 
%         1) MKSYS (Robust Control Toolbox)
%         2) LTI (Control Toolbox SS, TF, ZPK)
%         3) PCK (MuTools Toolbox)
%         4) LTISYS (LMI Toolbox)
%     LTI is now the preferred form for system
%     representation.  Functions with LTI inputs
%     return systems in LTI form.
%     
% New functions:
%     RCT2LTI converts MKSYS, PCK and LTISYS 
%     systems to Control Toolbox LTI objects.
%     
%     

% Notice:   These files may not be compatible with earlier
%           versions of MATLAB and Control System Toolbox 
% 

% Richard Y. Chiang & Michael G. Safonov
% Copyright 1988-2004 The MathWorks, Inc.
% $Revision: 1.1.6.1 $
% All Rights Reserved.
