%INV  Inverse uncertain object.
% 
%IMAT = INV(MAT) computes the inverse matrix IMAT such that
% 
%    y = MAT * u   <---->   u = IMAT * y 
% 
%The UMAT matrix MAT must have the same number of inputs and
%outputs.
% 
%See also MLDIVIDE, MRDIVIDE

function b = inv(a)
% Copyright 2003-2004 The MathWorks, Inc.

b = inv(umat(a));
