function F = checkcache(A)

nblk = length(A.AtomCell);
unames = cell(nblk,1);
unamesCS = zeros(nblk,1);
sizes = zeros(nblk,2);
classes = cell(nblk,1);
for i=1:nblk
   unames{i} = pvget(A.AtomCell{i},'Name');
   unamesCS(i) = sum(double(unames{i}));
   classes{i} = class(A.AtomCell{i});
   sizes(i,:) = size(A.AtomCell{i});
end
F = isequal(A.Cache.UNames,unames) && ...
   isequal(A.Cache.UNamesCS,unamesCS) && ...
   isequal(A.Cache.Classes,classes) && ...
   isequal(A.Cache.nblk,nblk) && ...
   isequal(A.Cache.Sizes,sizes);
