function out = blkdiag(varargin)

% Copyright 2003-2004 The MathWorks, Inc.

% STATUS OK
if nargin==1
   out = varargin{1};
elseif nargin==2
   if isa(varargin{1},'ndlft') & isa(varargin{2},'ndlft')
      sza = size(varargin{1});
      szb = size(varargin{2});
      if ~isexdok(sza(3:end),szb(3:end))
         error('Invalid extra dimensions')
      end
      out = binop(varargin{1},varargin{2},'blkdiag');
   else
      out = blkdiag(ndlft(varargin{1}),ndlft(varargin{2}));
   end
elseif nargin>2
   out = blkdiag(blkdiag(ndlft(varargin{1}),ndlft(varargin{2})),varargin{3:end});
end
