function [out] = mkdstr(m)

% Copyright 2003-2004 The MathWorks, Inc.

% STATUS OK
[rp,cp,nblk,iosize,blkiosize,szmd] = ndlftinfo(m);
atomcell = pvget(m.DepData,'AtomCell');
if nblk>0
   C = cell(0,1);
   % cs = {' copy, ' , ' copies, '};
   cs = {' occurrence' , ' occurrences'};
   namecell = cell(nblk,1);
   namecell = cell(0,1);
   
   for i=1:nblk
	   nc = m.Copies(i);
      if nc>0
         [a,b] = mkdstr(atomcell{i,1});
         %namecell{i} = fliplr(['  ' pvget(atomcell{i,1},'Name') ': ']);
         namecell = [namecell;{fliplr(['  ' pvget(atomcell{i,1},'Name') ': '])}];
         C = [C;{[b ', ' int2str(nc) cs{(nc>1)+1}]}];
      end
   end
   out = [fliplr(char(namecell)) char(C)];
else
   out = '';
end
