function out = mrdivide(a,b)

% Copyright 2003-2004 The MathWorks, Inc.

% STATUS BINOP
if isa(a,'ndlft') & isa(b,'ndlft')
   sza = size(a);
   szb = size(b);
   if ~isexdok(sza(3:end),szb(3:end))
      error('Invalid extra dimensions')
   end
   if sza(2)==szb(2)
	     out = binop(a,b,'mrdivide');
   elseif szb(1)==1 & szb(2)==1
        out = binop(a,diag(b*ones(1,sza(2))),'mrdivide');
   else
        error('Invalid I/O Dimensions');
   end
   out = simplify(out,'nodepromote','noremove');
else
   out = mrdivide(ndlft(a),ndlft(b));
end

