function [L,C,rk] = lfac3d(m)

% Copyright 2003-2004 The MathWorks, Inc.

%   L is 3-d, C = 2-d, M_{ijk} = L_{ipk}*C{pj}
if ndims(m)==3 & isa(m,'double')
    sm = size(m);
    row = sm(1); col = sm(2); npts = sm(3);
    mat = reshape(permute(m,[1 3 2]),row*npts,col);
    [Lfac,C2,rk] = lzfac(mat);
    L = permute(reshape(Lfac,row,npts,rk),[1 3 2]);
    %C = repmat(C2,[1 1 npts]);
    C = C2;
end
        
        

