function [C,R,rk] = rfac3d(m)

% Copyright 2003-2004 The MathWorks, Inc.

%   R is 3-d, C = 2-d, M_{ijk} = C{ip}*R_{pjk}
if ndims(m)==3 & isa(m,'double')
   sm = size(m);
   row = sm(1); col = sm(2); npts = sm(3);
   mat = reshape(m,row,npts*col);  % [R1 R2 ... RN]
   [Lfac,Ct,rk] = lzfac(mat');
   R = reshape(Lfac',rk,col,npts);
   %C = repmat(Ct',[1 1 npts]);
   C = Ct';
end
        

