%MKDSTR Nice display of UDYN objects.
%
%OUT = MKDSTR(MAT) returns a nice display of the UDYN object MAT.
%
%See also: DISPLAY

% Copyright 2003-2004 The MathWorks, Inc.
function [dispStr,dispStr2] = mkdstr(arg1)

LeadStr = 'Uncertain Dynamic System: ';
sza = size(arg1.atom);
dimstr = [int2str(sza(1)) 'x' int2str(sza(2))];

dispStr = [LeadStr 'Name ' pvget(arg1.atom,'Name') ', size ' dimstr];

dispStr2 = [dimstr ' dynamic'];

