%UDYN Creates an uncertain dynamic object.

% Copyright 2003-2004 The MathWorks, Inc.
function out = udyn(name,sza,varargin)

superiorto('ss','tf','zpk','frd');
if nargin>=1
   if nargin==1
      sza = [1 1];
   end
   A = atom(name,zeros(sza));
   out.Lip = inf;
   out = class(out,'udyn',A);
   if length(varargin)>0
      out = set(out,varargin{:});
   end
elseif nargin==0
   str = int2str(ceil(9999*rand));
   lstr = length(str);
   pdd = '0'*ones(1,6-lstr);
   name = ['UNNAMED_tag_' pdd str];
   name = ['UNNAMED'];
   A = atom(name,0);
   out.Lip = inf;
   out = class(out,'udyn',A);
end

