%DELBLK Delete an uncertainty from an uncertain frequency response.
%
%OUT = DELBLK(SYS,BLKID) where SYS is an uncertain frequency response and 
%BLKID is the name or numerical index of the uncertain object that is 
%present in SYS. The output OUT is the uncertainfrequency response SYS 
%with the BLKID removed.
%
%See also: BLK2IOCH, NORMALIZE

function [out] = delblk(mat,blkid)
% Copyright 2003-2004 The MathWorks, Inc.

out = mat;
out.ResponseData = delblk(mat.ResponseData,blkid);
