%GBLKIDX Get block index of an UFRD object.
%
%IDX = GBLKIDX(SYS,BLKID) returns the index of the uncertain atom BLKID
%inside of SYS. BLKID is a string containing the name of the uncertain
%atom of interest.
%
%See also: FIELDNAMES, FINDATOMSOFTYPE, GBLKINFO

function idx = gblkidx(mat,blkid)
% Copyright 2003-2004 The MathWorks, Inc.

idx = gblkidx(mat.ResponseData,blkid);