function out = transpose(sys)
%TRANSPOSE  Transpose operation for UFRD.
%
%   OUT = TRANSPOSE(SYS) is invoked by OUT = SYS.'
%

% Copyright 2003-2004 The MathWorks, Inc.

try
   out = ufrd(sys.ResponseData.',sys.Frequency,'Units',sys.Units,sys.Ts,sys.dynamicsys.');
catch einfo
   throw(einfo)
end