%DELBLK Delete an uncertainty from an uncertain matrix.
%
%OUT = DELBLK(MAT,BLKID) where MAT is an uncertain matrix and BLKID is the 
%name or numerical index of the uncertain that is present in MAT. The
%output OUT is the uncertain matrix MAT with the BLKID removed.
%
%See also: BLK2IOCH, NORMALIZE

function [out] = delblk(mat,blkid)

% Copyright 2003-2004 The MathWorks, Inc.
% XXXCOMMENT XXXMINOR no regard to LITERAL?  who calls this?
% USS/SIMPLIFY and NDLFT/PVGET
% XXXMINOR do we need it?
out = mat;
out.NDlftData = delblk(mat.NDlftData,blkid);
