%FINDATOMSOFTYPE Find uncertain atoms in a UMAT object.
%
%N = FINDATOMSOFTYPE(MAT,TYPE) returns a cell array, N, of 
%uncertain atom names of TYPE.
%
%See also ALLATOMSLTI, ALLATOMSREALP, UREAL, UCOMPLEX, UCOMPLEXM, ULTIDYN,
% UDYN

function names = findatomsoftype(a,type) 
% Copyright 2003-2004 The MathWorks, Inc.

%XXXMINOR should this be a DEPDATA method?
names = findatomsoftype(a.NDlftData,type);

   