%FLIPUD Flip uncertain matrix up-down.
%
%B = FLIPUD(A) returns A with rows flipped in the up-down direction,
%that is, about a hprizontal axis.
%
%If A is a column vector, then FLIPUD(A) returns an UMAT vector of the same 
%length with the order of its elements reversed. If A is an UMAT row 
%vector, then FLIPUD(A) simply returns A.
%
%See also: FLIPLR, UMAT

function out = flipud(mat)
%

% Copyright 2003-2004 The MathWorks, Inc.

% XXXCOMMENT XXXOK XXXMINOR are we allowed to have this?

%szm = size(mat);
%L.type = '()';
%L.subs = {szm(1):-1:1,':'};
%out = subsref(mat,L);

out = flipud(eye(size(mat,1)))*mat;
