%ISUMATOM  True if UMAT is just an uncertain atom.
%  
%ISUMATOM(MAT) returns 1 (true) if the uncertain matrix MAT is just 
%an uncertain atom, and 0 otherwise.
%  
%See also ALLATOMSLTI, ALLATOMSREALP, UMAT.
function [out,p] = isumatom(mat)
%

% Copyright 2003-2004 The MathWorks, Inc.
% XXXMINOR should these all be called simply ISATOM?
[out,p] = isndlftatom(mat.NDlftData);