function out = tio2blk(m,addatom,cop,lit)
%TIO2BLK Adds ADDATOM to the bottom of BlkCell.  
%
%OUT=TIO2BLK(MAT,ADDATOM,COP,LIT) has the effect of star-producting 
%ADDATOM around the top channels of M.  This is the reason for 
%the 'T' in the name. COP is the number of copies of ADDATOM and
%LIT is the literal flag.
% Copyright 2003-2004 The MathWorks, Inc.

% XXXOK, XXXUNDOC

if nargin==2
   cop = 1;
   lit = 1;
elseif nargin==3
   lit = 1;
end
sza = size(addatom);
szm = size(m);
out = umat(tio2blk(m.NDlftData,addatom,cop,lit));
