function G = tf(num,den,TS)
%TF Construct an uncertain transfer function
%
%  G = TF(N,D,TS)
%   TF converts a numerator/denominator single-input/
%   single-output uncertain transfer function into a SYSTEM matrix.
%   GAIN is an optional argument that scales SYS.
%
%   See also:  PCK, PSS2SYS, SYS2PSS, TF2SS, UNPCK, SYSIC, and ZP2SYS.

% Copyright 2003-2004 The MathWorks, Inc.
% XXXMINOR, useful, needs work, but how much is enough?

% First cut at TF for numerators and/or denominators which are UMAT's
% needs lots of work/decisions XXXX

if nargin==1
   den = 1;
   TS = 0;
elseif nargin==2
   TS=0;
end
G = tf(umat(num),umat(den),TS);
