%ISEMPTY  True for empty USS objects.
%  
%ISEMPTY(SYS) returns 1 (true) if the uncertain system SYS has 
%no inputs or no outputs, and 0 otherwise.
%  
%For USS arrays, ISEMPTY(SYS) is true if the array has
%empty dimensions.
%  
%See also SIZE.

% Copyright 2003-2004 The MathWorks, Inc.
function out = isempty(m)

%XXXMINOR, XXXISSUES, do we need this?
out = false;
if isempty(m.UmatData) & isempty(m.StateName)
   out = true;
end
