function Alf = uss2umat(A,fictblkname,cpflag)

% Copyright 2003-2004 The MathWorks, Inc.

%XXXLATERMAJOR the calls to TIO2BLK implicitly are using LITERAL==1.
%actually, this is fine, modulo continuous-time versus
%discrete-time.

if nargin==2
   cpflag = 0;
end
lsna = length(A.StateName);
if lsna==0
   % if no states, don't bother with a 0-size StateBlock
   % OR, SHOULD WE?
   Alf = A.UmatData;
   Alf = tio2blk(A.UmatData,udyn(fictblkname,[1 1],'Auto','off'),lsna,1);
elseif cpflag==0
   Alf = tio2blk(A.UmatData,udyn(fictblkname,[1 1],'Auto','off'),lsna,1);
else
   % if CPFLAG is not 0, then there will be full autoreduction on states
   %A.Ts is available
   Alf = tio2blk(A.UmatData,ucomplex(fictblkname,0,'Auto','off'),lsna,0);
   % for UCOMPLEX, if Nominal==0 and radius equal to 1, it is equivalent 
   % whether or not it is absobed, becasue normlizer equals =[0 1;1 0].
   % that is why literal falg above is 0.  but it could be 1 - same
   % difference.
   % but Alf has no Ts
end
