%RMZEROCP Remove zero copies of an uncertain frequency response.
%
%SYS2=RMZEROCP(SYS1) returns SYS2 which does not contain any uncertain
%atoms with zero copies.

% Copyright 2003-2004 The MathWorks, Inc.
function out = rmzerocp(mat);

%XXXOK, seem OK.  who calls this?  in general, NDLFT/SIMPLIFY and
%NDLFT/DEPROMOTE.  so, there seems to be some XXXCONSOLIDATE.  some
%of the worst-case analysis calls these RMZEROCP as well.
out = mat;
umatdata = pvget(mat,'UmatData');
mddata = rmzerocp(umatdata);
out.UmatData = mddata;