function B = loadobj(A)
% New versions of wcgopt objects have a Cache field.
% Objects loaded from memory may not have this new field
% so we need to add it on.
%


if isa(A,'wcgopt')
    B=A;
else    
    % Contructor adds Cache
    B = wcgopt(A.OptCell);
    
%     % Constructor adds Cache
%     B = wcgopt;
%     
%     % A is a structure
%     OptCell = A.OptCell;
%     for i=1:length(OptCell)
%         B = set(B,pvget(OptCell{i},'Name'),pvget(OptCell{i},'Value'));
%     end    
end
        