% Simulation environment of a 2-link planar manipulator
% Copyright 2011 Adriano Siqueira
% Clear workspace and call graphical user interface initialization file

% clear workspace variables and main screen

addpath(genpath('robust_toolbox'))

% search for an already existing gui
Figures = get(0,'Children');
for i = 1:length(Figures),
  if strcmp(get(Figures(i),'Type'),'figure'),
    if strcmp(get(Figures(i),'Name'), ...
    '2-link Planar Manipulator Control Environment'),
       % gui already exists; alert user
       disp('Simulation environment already opened.');
       return
    end;
  end;
end;

clear all;
clc;
% call gui initialization
sim_init_graphic;
